Bug 21401 - RPM can't evaluate version differences properly...
RPM can't evaluate version differences properly...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-27 18:26 EST by Jason Costomiris
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 19:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Costomiris 2000-11-27 18:26:49 EST
You would think that rpm would be able to tell that 1.6.1 > 1.4.2, right? 
Wrong.  This morning, I built a new RPM of xchat, using the latest stable
release, 1.6.1.  I built it myself to support SSL and other stuff. 

Watch this and be
amazed:                                                                                                              
[anthrax:root](12:28pm)
/root/xchat# rpm -q xchat
xchat-1.4.2-6                 

[anthrax:root](12:29pm) 
/root/xchat# ls -l 
total 812
-rw-r--r--    1 root     root       824289 Nov 27 12:28
xchat-1.6.1-1.i386.rpm

[anthrax:root](12:29pm)
/root/xchat# rpm -Uvh xchat-1.6.1-1.i386.rpm
package xchat-1.4.2-6 (which is newer than xchat-1.6.1-1) is already
installed

[anthrax:root](12:29pm)
/root/xchat# cat /etc/redhat-release
Red Hat Linux release 7.0 (Guinness)

[anthrax:root](12:29pm)
/root/xchat# rpm -qip xchat-1.6.1-1.i386.rpm
Name: xchat                        Relocations: (not relocateable)
Version: 1.6.1                             Vendor: (none)
Release: 1                             Build Date: Mon 27 Nov 2000 09:30:25
AM  EST
Install date: (not installed)               Build Host: anthrax.jasons.org
Group: Applications/Internet         Source RPM: xchat-1.6.1-1.src.rpm
Size: 1944173                          License: GPL
URL: http://xchat.org
Summary: Gtk+ IRC client
Description: 
X-Chat is yet another IRC client for the X Window
System, using the Gtk+ toolkit. It is pretty easy
to use compared to the other Gtk+ IRC clients and
the interface is quite nicely designed.
Comment 1 Michael Schwendt 2000-11-28 19:00:02 EST
Welcome to the club. You've encounted the "serial number trap".

  rpm -qp --qf "%{SERIAL}\n" <package>

Either create a package with the same serial number or upgrade the fast way with
option "--force".

Note You need to log in before you can comment on or make changes to this bug.